<script setup lang="ts">
import { useTemperatureStore } from '@/stores/temperature';
const tempStore = useTemperatureStore()

</script>

<template>
    <v-form v-model="tempStore.valid">
        <v-container>
            <v-row>
                <v-col cols="12" md="4">
                    <v-text-field v-model="tempStore.celsius"
                        :rules="[(v) => !!v || 'Celsius is not empty', (v) => !isNaN(parseFloat(v)) || 'Celsuis must be number!!!']"
                        label="Celsius" required hide-details></v-text-field>
                </v-col>

                <v-col cols="12" md="4">
                    <v-btn @click="tempStore.callConvert">Calculate</v-btn>
                </v-col>

                <v-col cols="12" md="4">
                    <div>{{ tempStore.result }}</div>
                </v-col>
            </v-row>
        </v-container>
    </v-form>
</template>